:root {
	color-scheme: light;
	
	--page-width: 1280px;
	--link-color: #bd2e32;
	--font-color: #333333;
	
	--nav-letter-spacing: calc(1rem / 16);
	--menu-height: 2.5rem;
	
	--header-padding-vertical: 0.5rem;
	--content-padding: 1rem;
}

@font-face {
	font-family: 'PTSans-Regular';
	font-style: normal;
	font-weight: 400;
	src: local('PT Sans'), local('PTSans-Regular'), url('fonts/pt-sans-latin-400-normal.woff2') format('woff2');
}

html, body {
	font-family: PTSans-Regular;
	margin: 0;
	padding: 0;
	color: var(--font-color)
}

body {
	min-height: 100dvh;
	display: flex;
	flex-direction: column;
	font-size: 1.1rem;
}

header {
	background: #fff;
	position: sticky;
	top: 0;
	padding: var(--header-padding-vertical) 1.5rem;
	z-index: 100;
}

header .inner {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

a {
	text-decoration: none;
}

a.highlight{
	background-color: var(--link-color);
	line-height: 2em;
	color: #fff !important;
	border-radius: 999em;
	padding: 0 1em;
	transition: transform 0.25s ease;
	display: inline-block;
}

a.highlight:hover {
  transform: scale(1.08);
}

footer a {
	transition-property: color;
	transition-duration: 0.2s;
	transition-timing-function: linear;
}

footer a:hover {
	color: var(--link-color) !important;
}

#contact a {
	font-size: 2em;
	padding: 0.5em 5em;
}

.inner {
	max-width: var(--page-width);
	margin: 0 auto;
	padding: 0 var(--content-padding);
}

img {
	width: 100%;
}

.highlight {
	color: var(--link-color);
}

#logo {
	height: var(--menu-height);
	width: auto;
	display: block;
}

#menu {
	letter-spacing: var(--nav-letter-spacing);
	list-style: none;
	text-transform: uppercase;
	margin: 0;
	padding: 0;
}

#menu a {
	color: #333;
	display: block;
	height: 100%;
	line-height: var(--menu-height);
}

#menu li {
	float:left;
	white-space: nowrap;
	padding: 0 1rem;
	height: var(--menu-height);
	line-height: var(--menu-height);
	position: relative;
}

.section {
	padding: 2rem;
}

.section.center {
    text-align: center;
}

.companies {
	display: flex;
	flex-wrap: wrap;
	gap: 2rem;
	justify-content: space-around;
}

.companies img {
	height: 5rem;
	width: auto;
	object-fit: contain;
}

h1 {
	font-size: 3.5rem;
	margin: 0;
	margin-top: 190px;
	text-shadow: 5px 5px 10px #fff;
}

h2 {
	font-size: 3.0rem;
	font-weight: normal;
	text-shadow: 5px 5px 10px #fff;
}

.benefits {
  list-style: none;
  padding-left: 0;
  columns: 2;
  column-gap: 2em;
}

.benefits li {
  padding: 0.5em 0;
  padding-left: 1em;
  break-inside: avoid;
}

.benefits li::marker {
  content: "✓";
  color: var(--link-color);
  font-weight: bold;
}

main {
	flex: 1;
	padding: 0 1rem;
	background-image: url(img/background.webp);
    background-size: cover;
    background-position: top;
    background-attachment: fixed;
}

main #content {
	background-color: rgba(255, 255, 255, 75%);
	backdrop-filter: blur(8px);
	padding: var(--content-padding);
	margin: 0 calc(-1 * var(--content-padding));
	border-radius: 5px;
	box-shadow: 0 0 10px 10px rgba(0, 0, 0, 25%);
	margin-top: 15vh;
}

video {
	border-radius: 5px;
}

.features {
	display: flex;
	gap: 2rem;
}

.features > input {
	display: none;
}

.features-left {
  list-style: none;
  margin: 0;
  padding: 0;
  flex: 0 0 40%;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

.features-left li {
  position: relative;
  padding-left: 2.5rem;
  box-shadow: 0 4px 12px rgba(0,0,0,0.08);
  background: #fff;
  border-radius: 1rem;
  overflow: hidden;
}

.features-left li label {
  display: flex;
  align-items: center;
  height: 4rem;
  width: 100%;
  cursor: pointer;
  font-weight: 600;
  padding-right: 1rem;
}

.features-left li::before {
  content: "";
  position: absolute;
  left: 1.25rem;
  top: 2rem; /* Mitte von 4rem */
  transform: translateY(-50%) translateX(-50%) rotate(45deg);
  width: 18px;
  height: 18px;
  background: var(--link-color);
  border-radius: 4px;
}

.features-left li .description {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
	padding: 0;
	margin: 0;

  transition: max-height 0.35s ease, opacity 0.35s ease;
  padding: 0 1rem 0 0; /* wird beim Einblenden ergänzt */
}

.features img {
	border-radius: 2rem;
}

#feature1:checked ~ .features-left li:nth-child(1) .description,
#feature2:checked ~ .features-left li:nth-child(2) .description,
#feature3:checked ~ .features-left li:nth-child(3) .description,
#feature4:checked ~ .features-left li:nth-child(4) .description,
#feature5:checked ~ .features-left li:nth-child(5) .description,
#feature6:checked ~ .features-left li:nth-child(6) .description
{
	max-height: 3em;
	opacity: 1;
	padding: 1rem 1rem 1.5rem 0;
}

.panel {
	display: none;
}

#feature1:checked ~ .features-right #panel-feature1,
#feature2:checked ~ .features-right #panel-feature2,
#feature3:checked ~ .features-right #panel-feature3,
#feature4:checked ~ .features-right #panel-feature4,
#feature5:checked ~ .features-right #panel-feature5,
#feature6:checked ~ .features-right #panel-feature6
{
	display: block;
}

footer {
	background: #000;
	color: #8c8989;
	font-size: 0.75rem;
	padding: 2.5rem 0;
}

footer a {
	color: #bfbfbf;
}

footer ul {
	list-style: none;
	padding: 0;
}

footer li {
	float: left;
}

footer li:not(:last-child)::after {
	content: "\00a0|\00a0";
}

footer ul::after {
	content: "";
	display: block;
	clear: both;
}